/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package form;

import bdd.GradeMySQL;
import bdd.PompierMySQL;
import bdd.StatutMySQL;
import bdd.TypePersoMySQL;
import bdd.TrancheMySQL;
import beans.Pompier;
import beans.Statut;
import beans.TypePers;
import beans.Grade;
import beans.Tranche;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpSession;
import java.util.ArrayList;
import util.CtrlSaisie;
import util.MD5;
public class AuthentifForm {

    String message;
    HttpServletRequest request;

    public AuthentifForm(HttpServletRequest request) {
        this.request = request;
    }
    
    public boolean ctrlAuthentif() {
        request.removeAttribute("message");
        String[] champsObligatoires = {"username", "password"};
        if (!CtrlSaisie.CtrlChampsObligatoires(request, champsObligatoires)) {
            return false;
        }
        
        // Vérification absence de chevron
        if (!CtrlSaisie.CtrlChevron(request)) {
            return false;
        }
        return true;
    }
    
    public boolean ctrlBDD() {
        boolean trouve = false;
        String login = request.getParameter("username");
        String mdp = MD5.encode(request.getParameter("password"));
        PompierMySQL pompierMySQL = new PompierMySQL();
        Pompier lePompier = pompierMySQL.readAuthentif(login, mdp);
        if (lePompier!= null) {
            trouve = true;
            HttpSession maSession = request.getSession();
            maSession.setAttribute("lePompierConnecte", lePompier);
            StatutMySQL leStatutMySQL = new StatutMySQL();
            GradeMySQL leGradeMySQL = new GradeMySQL();
            TrancheMySQL lesTranchesMySQL = new TrancheMySQL();
            TypePersoMySQL leTypePersoMySQL = new TypePersoMySQL();
          
                ArrayList<Grade> lesGrades = leGradeMySQL.readGrades();
                maSession.setAttribute("les grades", lesGrades);

              
                ArrayList<Tranche> lesTranches = lesTranchesMySQL.readTranches();
                maSession.setAttribute("les tranches", lesTranches);

         
                ArrayList<Statut> lesStatuts = leStatutMySQL.readStatuts();
                maSession.setAttribute("les statuts", lesStatuts);

            
                ArrayList<TypePers> lesTypes = leTypePersoMySQL.readStatuts();
                maSession.setAttribute("lesTypes", lesTypes);

            if (lePompier.getStatut()== 2) {

                ArrayList <Pompier> lesPompiers = pompierMySQL.readLesPompiersCaserne(lePompier.getIdCaserne());
                maSession.setAttribute("lesPompiers", lesPompiers);               
            }
        } else {
            request.setAttribute("message", "Login ou mot de passe erroné");
        }
        
        return trouve;
    }
}
